# ARBComputeVariableGroupSize (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBComputeVariableGroupSize

    java.lang.Object
      org.lwjgl.opengl.ARBComputeVariableGroupSize

    public final class ARBComputeVariableGroupSize

extends java.lang.Object

Field Summary
`static int` `GL_MAX_COMPUTE_FIXED_GROUP_INVOCATIONS_ARB` Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static int` `GL_MAX_COMPUTE_FIXED_GROUP_SIZE_ARB` Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:
`static int` `GL_MAX_COMPUTE_VARIABLE_GROUP_INVOCATIONS_ARB` Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static int` `GL_MAX_COMPUTE_VARIABLE_GROUP_SIZE_ARB` Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:

Method Summary
`static void` `glDispatchComputeGroupSizeARB(int num_groups_x, int num_groups_y, int num_groups_z, int group_size_x, int group_size_y, int group_size_z)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_MAX_COMPUTE_VARIABLE_GROUP_INVOCATIONS_ARB

    public static final int GL_MAX_COMPUTE_VARIABLE_GROUP_INVOCATIONS_ARB

  Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

  See Also:
    Constant Field Values

### GL_MAX_COMPUTE_FIXED_GROUP_INVOCATIONS_ARB

    public static final int GL_MAX_COMPUTE_FIXED_GROUP_INVOCATIONS_ARB

  Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

  See Also:
    Constant Field Values

### GL_MAX_COMPUTE_VARIABLE_GROUP_SIZE_ARB

    public static final int GL_MAX_COMPUTE_VARIABLE_GROUP_SIZE_ARB

  Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:

  See Also:
    Constant Field Values

### GL_MAX_COMPUTE_FIXED_GROUP_SIZE_ARB

    public static final int GL_MAX_COMPUTE_FIXED_GROUP_SIZE_ARB

  Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:

  See Also:
    Constant Field Values

Method Detail

### glDispatchComputeGroupSizeARB

    public static void glDispatchComputeGroupSizeARB(int num_groups_x,
                                                     int num_groups_y,
                                                     int num_groups_z,
                                                     int group_size_x,
                                                     int group_size_y,
                                                     int group_size_z)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.